View Javadoc

    1   /**
    2    *
    3    * Copyright 2003-2004 The Apache Software Foundation
    4    *
    5    *  Licensed under the Apache License, Version 2.0 (the "License");
    6    *  you may not use this file except in compliance with the License.
    7    *  You may obtain a copy of the License at
    8    *
    9    *     http://www.apache.org/licenses/LICENSE-2.0
    10   *
    11   *  Unless required by applicable law or agreed to in writing, software
    12   *  distributed under the License is distributed on an "AS IS" BASIS,
    13   *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    14   *  See the License for the specific language governing permissions and
    15   *  limitations under the License.
    16   */
    17
    18  //
    19  // This source code implements specifications defined by the Java
    20  // Community Process. In order to remain compliant with the specification
    21  // DO NOT add / change / or delete method signatures!
    22  //
    23
    24  package javax.servlet.jsp.el;
    25
    26
    27  /**
    28   * Represents any of the exception conditions that arise during the
    29   * operation evaluation of the evaluator.
    30   *
    31   * @since 2.0
    32   */
    33  public class ELException
    34    extends Exception
    35  {
    36    //-------------------------------------
    37    // Member variables
    38    //-------------------------------------
    39
    40    private Throwable mRootCause;
    41
    42    //-------------------------------------
    43    /**
    44     * Creates an ELException with no detail message.
    45     **/
    46    public ELException ()
    47    {
    48      super ();
    49    }
    50
    51    //-------------------------------------
    52    /**
    53     * Creates an ELException with the provided detail message.
    54     *
    55     * @param pMessage the detail message
    56     **/
    57    public ELException (String pMessage)
    58    {
    59      super (pMessage);
    60    }
    61
    62    //-------------------------------------
    63    /**
    64     * Creates an ELException with the given root cause.
    65     *
    66     * @param pRootCause the originating cause of this exception
    67     **/
    68    public ELException (Throwable pRootCause)
    69    {
    70      super( pRootCause.getLocalizedMessage() );
    71      mRootCause = pRootCause;
    72    }
    73
    74    //-------------------------------------
    75    /**
    76     * Creates an ELException with the given detail message and root cause.
    77     *
    78     * @param pMessage the detail message
    79     * @param pRootCause the originating cause of this exception
    80     **/
    81    public ELException (String pMessage,
    82  		      Throwable pRootCause)
    83    {
    84      super (pMessage);
    85      mRootCause = pRootCause;
    86    }
    87
    88    //-------------------------------------
    89    /**
    90     * Returns the root cause.
    91     *
    92     * @return the root cause of this exception
    93     */
    94    public Throwable getRootCause ()
    95    {
    96      return mRootCause;
    97    }
    98  }